Package be.fgov.ehealth.addressbook.protocol.v1

# Class SearchOrganizationsRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
be.fgov.ehealth.addressbook.protocol.v1.SearchOrganizationsRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class SearchOrganizationsRequest extends PaginationRequestType implements Serializable
Search healthcare organizations based on one or more search criteria

Java class for SearchOrganizationsRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchOrganizationsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
           <sequence>
             <choice minOccurs="0">
               <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
               <element name="CBE" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
               <element name="EHP" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
             </choice>
             <element name="InstitutionName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InstitutionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="City" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="EMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchOrganizationsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCBE()`
  KBO/CBE of the institution
  `String`
  `getCity()`
  City or Village of contact address
  `String`
  `getEHP()`
  EHP identifier of the institution
  `String`
  `getEMail()`
  Gets the value of the eMail property.
  `String`
  `getInstitutionName()`
  Name of the organization
  `String`
  `getInstitutionType()`
  Type / Quality of the institution
  `String`
  `getNIHII()`
  INAMI/RIZIV of the institution
  `String`
  `getZipCode()`
  Zipcode of contact address
  `void`
  `setCBE(String value)`
  Sets the value of the cbe property.
  `void`
  `setCity(String value)`
  Sets the value of the city property.
  `void`
  `setEHP(String value)`
  Sets the value of the ehp property.
  `void`
  `setEMail(String value)`
  Sets the value of the eMail property.
  `void`
  `setInstitutionName(String value)`
  Sets the value of the institutionName property.
  `void`
  `setInstitutionType(String value)`
  Sets the value of the institutionType property.
  `void`
  `setNIHII(String value)`
  Sets the value of the nihii property.
  `void`
  `setZipCode(String value)`
  Sets the value of the zipCode property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType

  `getMaxElements, getOffset, setMaxElements, setOffset`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchOrganizationsRequest

    public SearchOrganizationsRequest()

- ## Method Details

  - ### getEHP

    public String getEHP()
    EHP identifier of the institution
    Returns:
      possible object is `String`

  - ### setEHP

    public void setEHP(String value)
    Sets the value of the ehp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEHP()`

  - ### getCBE

    public String getCBE()
    KBO/CBE of the institution
    Returns:
      possible object is `String`

  - ### setCBE

    public void setCBE(String value)
    Sets the value of the cbe property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCBE()`

  - ### getNIHII

    public String getNIHII()
    INAMI/RIZIV of the institution
    Returns:
      possible object is `String`

  - ### setNIHII

    public void setNIHII(String value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNIHII()`

  - ### getInstitutionName

    public String getInstitutionName()
    Name of the organization
    Returns:
      possible object is `String`

  - ### setInstitutionName

    public void setInstitutionName(String value)
    Sets the value of the institutionName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInstitutionName()`

  - ### getInstitutionType

    public String getInstitutionType()
    Type / Quality of the institution
    Returns:
      possible object is `String`

  - ### setInstitutionType

    public void setInstitutionType(String value)
    Sets the value of the institutionType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInstitutionType()`

  - ### getZipCode

    public String getZipCode()
    Zipcode of contact address
    Returns:
      possible object is `String`

  - ### setZipCode

    public void setZipCode(String value)
    Sets the value of the zipCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getZipCode()`

  - ### getCity

    public String getCity()
    City or Village of contact address
    Returns:
      possible object is `String`

  - ### setCity

    public void setCity(String value)
    Sets the value of the city property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCity()`

  - ### getEMail

    public String getEMail()
    Gets the value of the eMail property.
    Returns:
      possible object is `String`

  - ### setEMail

    public void setEMail(String value)
    Sets the value of the eMail property.
    Parameters:
      `value` - allowed object is `String`